
 LinHES - Bug # 513: MythArchive Fails to Create ISO image

Status: Closed Priority: High
Author: mihanson Category:
Created: 08/18/2009 Assignee: cecil
Updated: 03/20/2010 Due date:
Description: It seems something is amiss with MythArchive (transcode package?) as it fails at mplex, but that's probably 

due to something else before it failing to execute correctly (mpeg2enc?).  My mythburn.log file is 8M so I can't 
attach the whole thing (It's 96,000 lines).  Here's the last part before it fails:<code>Audio is already in ac3 
format
*************************************************************
Finished processing '/myth/md0/tv/10041_20081204213000.mpg'
*************************************************************
Menu items per page 3
Background image file is /usr/share/mythtv/mytharchive/themes/MythCenter - 
Animated/MythCenter-Background.png
Music is menumusic2.ac3, length is 10 seconds
Creating DVD menus
Menu page 1
Creating Preview Video
2009-08-18 17:52:06.267 Opening /myth/md0/archive/work/1/stream.mv2
2009-08-18 17:52:15.423 Opening /myth/md0/archive/work/2/stream.mv2
2009-08-18 17:52:24.421 Opening /myth/md0/archive/work/3/stream.mv2
Wrapped text  = Page 1
Image (146, 110) into space of (155, 100) at (55, 41)
Image resized to (155, 100) at (55, 41)
Added image /usr/share/mythtv/mytharchive/themes/MythCenter - Animated/preview-frame.png
Wrapped text  = 30 Rock
Wrapped text  = Do-Over
Wrapped text  = Thu Oct 30 09:31 PM
Wrapped text  = Liz tries to stop the staff from ruining her chances at adopting a child when
Wrapped text  = an adoption agent (Megan Mullally) makes a visit to the set; Jack returns
Wrapped text  = from D.C. with a plan to reclaim his position from Devin Banks (Will Arnett).
Image (146, 110) into space of (155, 100) at (55, 158)
Image resized to (155, 100) at (55, 158)
Added image /usr/share/mythtv/mytharchive/themes/MythCenter - Animated/preview-frame.png
Wrapped text  = 30 Rock
Wrapped text  = Believe in the Stars
Wrapped text  = Thu Nov 06 09:31 PM
Wrapped text  = Liz asks Oprah Winfrey for advice when they are seated next to each other
Wrapped text  = on a flight; Jenna and Tracy try to determine whose life is harder; Kenneth
Wrapped text  = tests Jack's morality.
Image (146, 110) into space of (155, 100) at (55, 275)
Image resized to (155, 100) at (55, 275)
Added image /usr/share/mythtv/mytharchive/themes/MythCenter - Animated/preview-frame.png
Wrapped text  = 30 Rock
Wrapped text  = The One With the Cast of Night Court
Wrapped text  = Thu Nov 13 09:31 PM
Wrapped text  = Liz and Jenna's friend Claire (Jennifer Aniston) visits and falls for Jack; Tracy
Wrapped text  = tries to cheer up Kenneth by turning one of his dreams into a reality.
Added button image /usr/share/mythtv/mytharchive/images/next.png
Added next page button
Generating the preview images
Encoding Menu Page 1 using aspect ratio '16:9'
   INFO: [mpeg2enc] SETTING EXTENDED MMX for MOTION!
   INFO: [mpeg2enc] SETTING SSE and MMX for TRANSFORM!
   INFO: [mpeg2enc] SETTING EXTENDED MMX for PREDICTION!
   INFO: [mpeg2enc] Selecting DVD with dummy navigation packets output profile
   INFO: [mpeg2enc] Assuming norm NTSC
   INFO: [mpeg2enc] Progressive input - selecting progressive encoding.
   INFO: [mpeg2enc] Encoding MPEG-2 video to /myth/md0/archive/work/temp.m2v
   INFO: [mpeg2enc] Horizontal size: 720 pel
   INFO: [mpeg2enc] Vertical size: 480 pel
   INFO: [mpeg2enc] Aspect ratio code: 3 = 16:9 display
   INFO: [mpeg2enc] Frame rate code:   4 = 30000.0/1001.0 (NTSC VIDEO)
   INFO: [mpeg2enc] Bitrate: 5000 KBit/s
   INFO: [mpeg2enc] Quality factor: 8 (Quantisation = 9) (1=best, 31=worst)
   INFO: [mpeg2enc] Field order for input: none/progressive
   INFO: [mpeg2enc] Sequence unlimited length
   INFO: [mpeg2enc] Search radius: 16
   INFO: [mpeg2enc] DualPrime: no
   INFO: [mpeg2enc] Using one-pass rate controller
   INFO: [mpeg2enc] GOP SIZE RANGE 7 TO 15 
   INFO: [mpeg2enc] Setting colour/gamma parameters to "NTSC"
   INFO: [mpeg2enc] Progressive format frames = 1
   INFO: [mpeg2enc] Using default unmodified quantization matrices
   INFO: [mpeg2enc] SETTING MMX and MMX for QUANTIZER!
   INFO: [mpeg2enc] NEW GOP INIT length 15
   INFO: [mpeg2enc] Signaling last frame = -1
   INFO: [mpeg2enc] Guesstimated final muxed size = 0

**ERROR: [mplex] Unable to read from /myth/md0/archive/work/temp.m2v.
************************************************************
ERROR: Failed while running mplex - mplex -f 8 -v 0 -o '/myth/md0/archive/work/temp.mpg' 
'/myth/md0/archive/work/temp.m2v' '/usr/share/mythtv/mytharchive/music/menumusic2.ac3'
************************************************************

Terminated
</code>

I'm trying to make a "MythCenter" themed DVD ISO with animated menus and 5 HD (1920x1080) recordings 
at approx 21 min each.  I'll try plain old "MythCenter" without animations and see what happens.

[EDIT] Plain old "MythCenter" fails too. [/EDIT]

History
08/31/2009 11:10 pm - manicmike
OK, I have the problem too, now. Attached is the log of my attempt to run mythtranscode (which is almost certainly the cause of the problem). Here is 
the log file. I'm investigating it now and will give more results later.

Mike

08/31/2009 11:38 pm - manicmike
Hmm... Looks like it's a problem with libraries.

A recompile would probably fix it but obviously there are incompatible libs installed, which should be impossible. The output log doesn't actually tell you 
which one it barfed at, but I suspect the last one would be a good bet. Anyone?

Mike

EDIT: Last library was ld-2.9.so from package glibc 2.9-4 (makes sense, since it's a glibc error). Cecil?

08/31/2009 11:44 pm - manicmike
Here's the output from reinstalling glibc, which didn't fix the problem

<code>[mythtv@mythtv ~]$ su -c "pacman -S glibc"
warning: glibc-2.9-4 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets (1): glibc-2.9-4  

Total Download Size:    0.00 MB
Total Installed Size:   30.27 MB

Proceed with installation? [Y/n] 
checking package integrity...
(1/1) checking for file conflicts                   [#####################] 100%
error: scriptlet failed to execute correctly
(1/1) upgrading glibc                               [#####################] 100%
init: /dev/initctl: No such file or directory
Generating locales...
  en_US.ISO-8859-1... done
  en_US.UTF-8... done
Generation complete.
error: scriptlet failed to execute correctly
</code>

08/31/2009 11:53 pm - mihanson
I think it's our good friend, mjpegtools.  mpeg2enc (which is part of mjpegtools) appears (to me) to the the failing puzzle piece as evidenced with 
<code>INFO: [mpeg2enc] Encoding MPEG-2 video to /myth/md0/archive/work/temp.m2v</code> and then /myth/md0/archive/work/temp.m2v comes 
up as a zero byte file for me.  Opinions?

09/01/2009 12:58 am - manicmike
Are all of the affected using the vdpau version of mythtv perchance? 
Here are my versions:
[mythtv@mythtv mytharchive]$ pacman -Q|grep myth
mythappletrailers 0.04.3-29
mytharchive 0.21-8
mythbrowser 0.21-6
mythcontrols 0.21-4
mythdb-initial 1-42
mythflix 0.21-5
mythgallery 0.21-5
mythgame 0.21-4
mythinstall 1-10
mythmovies 0.21-5
mythmusic 0.21-12
mythnews 0.21-4
mythphone 0.21-3
mythsmolt 0.21-8
mythstream 0.18_1-8
myththemes 0.21-3
mythtv-vdpau 0.21-23
mythvideo 0.21-9
mythvodka 0.7-11
mythweather 0.21-3
mythweb 0.21-20

It doesn't seem altogether stupid that there's a version mismatch problem.

I attempted to compile the latest stable code for mythplugins. After a few false starts it seems to be going along. More later.

09/01/2009 01:04 am - manicmike
Well, gosh darn it...

<code>[mythtv@mythtv mythplugins]$ pacman -Q -o `which mythtranscode`
/usr/bin/mythtranscode is owned by mythtv-vdpau 0.21-23</code>

Anyone who is experiencing this not using the vdpau version? Anyone?

There's a good chance it's a combination of libjpeg *and* mythtv-vdpau.

Mike 

09/01/2009 11:21 am - mihanson
I'm not using the VDPAU on my MBE where I ran into trouble with MythArchive...<code>[root@mythbox-mbe ~]# pacman -Q -o `which mythtranscode`
/usr/bin/mythtranscode is owned by mythtv 0.21-81</code>

09/01/2009 05:54 pm - manicmike
Hi Mike,

Thanks for your feedback: That takes mythtv-vdpau out of the equation for now.

Didn't realise it was the menu video creation that was failing. The mjpegtools have been flagged as a problem previously, so you may be right there. 
Determining that mpeg2enc is what creates the menu video is not easy from that script.

Have you re-compiled mjpegtools? I'll do it now. I'm working remotely so won't be able to test it until tonight.

Debugging the script can be enabled with "debug_keeptempfiles = True". Will do this tonight, too.

Mike

09/02/2009 05:26 pm - mihanson
I recompiled mjpegtools locally and had the same results (as I expected).

09/02/2009 05:31 pm - manicmike
Me too, as it happens.

I also attempted to generate an iso without a menu (the simple option) and this failed too. It failed immediately, in fact. There seemed to be something 
preventing it from trying, so I deleted the contents of /myth/tmp/work and tried again. It still failed. Seems that something is caching the fail result and 
stopping it from trying again.

What do we do next? This looks like a major problem which will affect everyone. A show stopper if you will. Should we mod this up to priority one?

09/02/2009 06:33 pm - mihanson
I recompiled mjpegtools locally and had the same results (as I expected).

09/02/2009 07:35 pm - mihanson
On a hunch I also recompiled imagemagick and transcode but once again, same result.

09/02/2009 11:11 pm - manicmike
Do you think glibc may be responsible?

09/03/2009 12:36 am - mihanson
Can't say I know enough about it.  Give it a try?

09/03/2009 10:49 pm - manicmike
I just tried 
mplex -f 8 -o output.mpg input.m2v input.ac3
manually and it worked perfectly using the original version. 

This problem totally screws up any archiving for me. Is this the same for you?

Replacing glibc is daunting, since I know how many things it can break (the whole system) and I'm testing on a prod system.
There is a new version: 2.9.4 is the pacman version, 2.10 is the latest.

Cecil? Any ideas or suggestions?

Mike

09/06/2009 03:35 am - cecil
I'm able to create an ISO w/ "Simply/auto play".  However, I cannot create an ISO w/ a menu.  It seems the issue maybe w/ page generation in 
mythburn.py.

09/06/2009 09:45 am - mihanson
Looks like an [[http://svn.mythtv.org/trac/ticket/6981|upstream issue]].

09/06/2009 06:24 pm - manicmike
That's probably good news. There's already a fix for it, so Cecil, is it easy enough to diff the file and re-compile replex?

Mike

09/06/2009 06:41 pm - cecil
I wish is were that easy.  I don't think it is the same issue.  Additionally the patch is against trunk.

09/06/2009 06:58 pm - manicmike
Is it better to wait until the end of the month for 0.22 then?
EDIT: I've downloaded trunk and am compiling it now with the patches applied. Will report level of success of course. 
At least we should have an idea of whether or not 0.22 will break anything/everything.
EDIT2: Installed it all in /myth/local. It definitely fixed mythtranscode (woo-hoo!). Will test the rest later.
EDIT3: No, doesn't work. Might be doing something wrong, but tried last night and it failed without telling me why. May have to work out how to do DVD 
menus manually
09/28/2009 05:40 pm - manicmike
OK, someone in the UK has suggested it may be the vdpau version. Post is at http://www.knoppmyth.net/phpBB2/viewtopic.php?p=123808#123808

Now I think it only affects the DVB users and Mike Hanson's problem is not related.

I'll revert as soon as I can and try again.

Mike

09/28/2009 08:59 pm - mihanson
FWIW, the recordings I'm attempting to archive are ATSC, recorded with tuner cards setup as DVB cards.  I've launched the mytharchive process from 
frontends that have the mythtv-vdpau package installed as well as from the backend itself, which does not have the mythtv-vdpau package.  Results are 
the same no matter where I start the mytharchive process.  Cesman has the problem too, but said it did not happen when "Autoplay - Simple" profile 
was selected in mytharchive (no menus).  I have not tested the "Autoplay - Simple" method yet, but I'd be willing to bet that if cesman said it worked, it 
will.  The problem seems to lie in the menu creation.

10/01/2009 01:22 pm - footeo
I backported to mjpegtools-1.8.0-3.pkg.tar.gz which gave me the following error:

<code>

2009-10-01 13:44:05 ERROR: Failed while running jpeg2yuv - jpeg2yuv -n 449 -v0 -I p -f 29.97 -j '/myth/tmp/work/background-1.jpg' | mpeg2enc -b 
5000 -a 2 -v 1 -f 8 -o '/myth/tmp/work/temp.m2v'

</code>

Which I think is where the error lies as jpeg2yuv is what is used to create the m2v file.  So I tried running the command from a shell and got the 
following dependency error:

<code>

jpeg2yuv: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory
**ERROR: [mpeg2enc] Could not read YUV4MPEG2 header: system error (failed read/write)!
</code>

So I forced pacman to install libjpeg-6b-5-i686.pkg.tar.gz by ignoring dependencies.  Running the jpeg2yuv command above from a shell worked that is 
to say it generated a non 0 length temp.m2v file however forcing the libjpeg-6 install made it so that mytharchive would error early on with the following 
error in mythburn.log:

<code>

  File "/usr/share/mythtv/mytharchive/scripts/mythburn.py", line 72, in <module>
    import Image, ImageDraw, ImageFont, ImageColor
  File "/usr/lib/python2.6/site-packages/PIL/ImageFont.py", line 115, in <module>
    class FreeTypeFont:
  File "/usr/lib/python2.6/site-packages/PIL/ImageFont.py", line 135, in FreeTypeFont
    def getmask2(self, text, mode="", fill=Image.core.fill):
  File "/usr/lib/python2.6/site-packages/PIL/Image.py", line 36, in __getattr__
    raise ImportError("The _imaging C module is not installed")
ImportError: The _imaging C module is not installed

</code>
I am guessing that imports in python do not like the older version?
This may or may not be helpfull.  I don't know if I have actually discovered anything other than the fact that it used to generate the menus with the older 
packages, which we already know since mytharchive used to work :-)  But, maybe this is useful somehow.

10/03/2009 04:55 am - footeo
I forgot to include in the last post that it appears that there is specifically a problem with jpeg2yuv.  If you run:

jpeg2yuv -n 447 -v2 -I p -f 29.97 -j '/myth/tmp/work/background-1.jpg

from a shell it will segfault.

10/03/2009 09:22 am - jams
That last few posts go along with my suspicion that the libjpeg update is to blame.

10/03/2009 02:23 pm - cecil
Well, I found a solution.  It however means recompiling various files.  I shall endeavour to get this resolved this weekend.

10/04/2009 08:02 pm - cecil
Jams and I have colaborated on a solution.

<code>sudo pacman -Sy mytharchive</code>

Should drag all you need.  Additionally, you can select Service Menu > Upgrade LinHES.

10/04/2009 08:38 pm - footeo
I tried the upgrade and mytharchive is still failing early on with the last batch of errors that I posted above from mythburn.log on lines 72, 15 and 135.  I 
hope I haven't hosed something trying to get it to work.

10/04/2009 08:49 pm - footeo
I had an error that was in /data/var/cache/pacman/pkg/.INSTALL when I first upgraded it said unrecognized command 'qrep' is the command supposed 
to be 'grep'?

10/04/2009 09:16 pm - manicmike
I just upgraded it and it went fine:

<code>[root@mythtv pkg]# ls -l `which mytharchivehelper`
-rwxr-xr-x 1 root root 322560 2009-10-05 07:22 /usr/bin/mytharchivehelper
</code>

Which tells me Cecil was REALLY onto this, compiling it only a few hours ago!
I'm not at my machine yet to try the archiving but there was no .INSTALL file in that package, either:

<code>[root@mythtv pkg]# tar -ztvf mytharchive-0.21-10-i686.pkg.tar.gz|grep -i install
[root@mythtv pkg]# 
</code>

Can you paste your upgrade command and errors. If it's too long, gzip it and attach as a file. Also, do an:

<code>ls -l /data/var/cache/pacman/pkg/.INSTALL</code>

This file doesn't (and shouldn't, AFAIK) exist on my machine. It looks like someone or a pkg process has maybe unpacked a package in the pkg cache 
directory, and this could be causing pacman to barf.
Mike

10/04/2009 09:49 pm - cecil
Depending on when you download you've have encountered the qrep error.  This has already been corrected.  I've tested the upgrade on two machines 
w/o issue.  I've also tested on a clean install w/ a new ISO.

10/04/2009 10:07 pm - footeo
I believe I unpacked a package in the pkg directory.  My bad.  I still can't get past the python errors saying that I don't have _imaging installed.  If I try 
import _imaging at a python prompt it says it can't find libjpeg.so.62.  I know that file is now in /opt/libjpeg6/lib/ why is python not finding it?  I tried 
adding it to my PYTHONPATH but that didn't work.

10/04/2009 10:18 pm - cecil
<code>sudo pacman -Qs libjpeg6</code>

Make sure 6b-10 is installed.

10/04/2009 11:35 pm - footeo
Ok, for some reason the library path in /etc/ld.so.conf was set to /opt/libjpeg6/include and didn't have /opt/libjpeg6/lib listed.  I added it and jpeg2yuv 
worked but produced a garbled and mostly green yuv file.  I manually added using pacman -U mjpegtools-1.8.0-3.pkg.tar.gz and the yuv output looks 
correct.  I have tested it with mytharchive and it produces the correct menus and all seems to work.  Has anyone else run into the green garbled screen 
problem?  Is the newly compiled mjpegtools-1.9 package supposed to use libjpeg-6 or have I just created my own library mess?

10/05/2009 12:00 am - cecil
You should have:
pil 1.1.6-11
mytharchive 0.21-10
mjpegtools 1.9.0-9 (or -10, -10 doesn't appear to be sync'n but the version was just bumped for a recompile)
libjpeg6 6b-10

I'm going to bump libjpeg to -11 and fix the ld.so.conf.  When libjpeg6 is installed, it does symlink, but ld.so.conf should be corrected.

10/05/2009 09:18 am - footeo
I checked all my packages and all were up to date except for libjpeg which after updating to -11 everything runs without an error but it is producing 
green blank menus again.  Something is still amiss for me.  I ran pacman -U mjpegtools-1.8.0-3.pkg.tar.gz and it produces good menus with that 
version.

10/05/2009 01:16 pm - cecil
Please remove all the packages and reinstall.  I've tested multiple times on multiple systems after jams and I resolved the problem.  Is there a particular 
theme you are using?

10/06/2009 12:43 pm - footeo
I removed all the packages and re-installed and I still get the green screened menus.  I know that it doesn't have anything to do with the theme since I 
can create a test yuv file that looks green (when played with mplayer) too using:

<code>

/usr/bin/jpeg2yuv -n447-v2 -I p -f29.97 -j '/myth/gallery/test.jpg' >test.yuv

</code>

If I use mjpegtools-1.8.0-3 the generated file and menus look correct. The only thing that I have noticed that is different is that when I run the 1.8 version 
of jpeg2yuv with verbose output at 2 it outputs the following:
<code>
...
INFO: [jpeg2yuv] Processing non-interlaced/interleaved /myth/gallery/test.jpg, size 185345
INFO: [jpeg2yuv] Rescaling color values.
...
</code>

where as if I run the 1.9 version I get:

<code>
...
INFO: [jpeg2yuv] Rewriting latest frame instead.
INFO: [jpeg2yuv] Rewriting latest frame instead.
...
</code>

Which may have something to do with it.

10/06/2009 04:54 pm - manicmike
I did the same thing on my local 32 bit Ubuntu machine with a single frame and it worked beautifully. 
I repeated this on my LinHES box (same jpg) and got a green mess like Nathan.
Screenshot attached.
Got the exact same "INFO: [jpeg2yuv] Rewriting latest frame instead." with both machines, so it's not relevant to the problem.
LinHES box compiled from source version failed with a seg fault, even after I re-compiled it.
Compiled new mjpegtools on remote 64 bit Ubuntu box and yuv was OK.
Looks quite specific to LinHES. The compilation went flawlessly, but the binary didn't work - very odd. I'll have a look at what libs jpeg2yuv uses next.
EDIT: Um, sorry everyone (especially Cecil). My jpeg2yuvs were linked to the recompiled libs. I removed the path from the ld conf, re-linked and the 
package version of jpeg2yuv works beautifully. The recompiled one now goes all the way through but now it produces green mess. Conclusion is that 
the compiled libs are the problem, NOT the package ones.
Nathan, what does ldd `which jpeg2yuv` tell you?

10/06/2009 06:28 pm - footeo
Here is my output from ldd `which jpeg2yuv`

<code>
	linux-gate.so.1 =>  (0xb7f85000)
	libmjpegutils-1.9.so.0 => /usr/local/lib/libmjpegutils-1.9.so.0 (0xb7f62000)
	liblavjpeg-1.9.so.0 => /usr/local/lib/liblavjpeg-1.9.so.0 (0xb7f3d000)
	libjpeg.so.62 => /opt/libjpeg6/lib/libjpeg.so.62 (0xb7f1d000)
	libm.so.6 => /lib/libm.so.6 (0xb7ef7000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7edf000)
	libc.so.6 => /lib/libc.so.6 (0xb7d97000)
	libjpeg.so.7 => /usr/local/lib/libjpeg.so.7 (0xb7d62000)
	/lib/ld-linux.so.2 (0xb7f86000)
</code>

10/06/2009 06:37 pm - manicmike
I think you have compiled mpegtools from source with no configure options. Your libs should be in /usr/lib, not /usr/local/lib.

You can fix this by either removing the compiled version (in the source directory, do "make uninstall") or remove /usr/local/lib from your library path in 
ld.conf (then you must run ldconfig).

Here is my (now) working ldd with all versions as Cecil suggested: Yours should be the same.

mike@mythtv:~$ ldd /usr/bin/jpeg2yuv	linux-gate.so.1 =>  (0xb7fbe000)
	libmjpegutils-1.9.so.0 => /usr/lib/libmjpegutils-1.9.so.0 (0xb7f9b000)
	liblavjpeg-1.9.so.0 => /usr/lib/liblavjpeg-1.9.so.0 (0xb7f76000)
	libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7f56000)
	libm.so.6 => /lib/libm.so.6 (0xb7f30000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7f18000)
	libc.so.6 => /lib/libc.so.6 (0xb7dd1000)
	/lib/ld-linux.so.2 (0xb7fbf000)

10/06/2009 08:32 pm - footeo
Thanks mike, You were right on.  I did compile mjpegtools at one point early on so, doing the make uninstall did the trick.  Sorry for leading us down the 
beaten path.  This is where my lack of skills gets me in trouble. However,  I am glad to learn about the ldd trick though,  I kept thinking "If only I could 
see which libraries were being used.."

10/06/2009 09:38 pm - manicmike
No problem Nathan: I knew about the compiling only because I'd made the same mistake.

Did this fix everything? I'm not at my LinHES box ATM.

Mike

P.S. ldd isn't a "trick" but a debug tool. Linux/Unix is full of them :-)

10/06/2009 11:59 pm - mihanson
I upgraded via -Syu last night and now I get this:

<code>spumux: error while loading shared libraries: libMagickCore.so.1: cannot open shared object file: No such file or directory
************************************************************
ERROR: Failed while running spumux - spumux -m dvd -s 0 '/myth/md0/archive/work/spumux-1.xml' < '/myth/md0/archive/work/temp.mpg' > 
'/myth/md0/archive/work/menu-1.mpg'
************************************************************

Terminated

[root@mythbox-mbe ~]# ls -l /usr/lib/libMagickCore.so*
lrwxrwxrwx 1 root root      22 2009-07-22 07:00 /usr/lib/libMagickCore.so -> libMagickCore.so.2.0.0
lrwxrwxrwx 1 root root      22 2009-07-22 07:00 /usr/lib/libMagickCore.so.2 -> libMagickCore.so.2.0.0
-rwxr-xr-x 1 root root 4125061 2009-07-22 07:00 /usr/lib/libMagickCore.so.2.0.0</code>

10/07/2009 12:04 am - manicmike
Wonder why spumux is looking for the old library. Have you tried creating a symlink? I know it rarely works, but worth a try.

10/07/2009 12:15 am - mihanson
Have not tried adding the link.  That normally will break something else, but I suppose I could try and then remove the link after.

10/07/2009 12:22 am - mihanson
Looks like dvdauthor needs a recompile.  I just used the LinHES PKGBUILD with makepkg and installed.  ldd reports the correct 
usr/lib/libMagickCore.so.2 now.  Previously ldd indicated usr/lib/libMagickCore.so.2 was not found.  I'll run MythArchive thru it's paces and see what 
happens.

10/07/2009 01:09 am - manicmike
Cool. Well, we're getting there. 
The symlink was only suggested as a temp debugging thing to find the cause of the breakage.

Any idea how to run it from the command line, Mike? That way I could run it remotely (not necessary now, since I'm home, but would be useful).

Mike

10/07/2009 10:23 am - footeo
Every thing seems to work fine for me now.  I haven't had any issues but, I will run a few more tests.  I haven't tested out any of the animated themes.  
The only issue that I have noticed that is somewhat unrelated is that the Internal players highlight box does not show up when previewing the DVD but, 
it has issues with all the DVDs I play.  Everything looks fine with Xine.

10/07/2009 11:03 am - cecil
Animated themes tested fine here. :)

10/07/2009 11:25 am - mihanson
After a recompile bump of dvdauthor, Mythcenter - Animated works for me. :)

10/11/2009 05:07 pm - manicmike
I did a successful authoring job too. Even with the menu :-) Didn't burn it to DVD yet, but that's not the broken bit.

Well done, guys. Think you fixed it.

Mike

EDIT: Burned a DVD just to be certain, and it worked beautifully, too.

Files
logfile.log 12.3 kB 08/31/2009 admin
green.png 14.4 kB 10/06/2009 admin
